package com.unis.vis.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;


@Data
@EqualsAndHashCode(callSuper = false)
@TableName("outbound_material_info")
public class OutboundMaterialInfo implements Serializable {
    /**
     * 出库物资id
     */
    @TableField("material_id")
    private Integer materialId;
    /**
     * 出库信息表id
     */
    @TableField("outbound_id")
    private Integer outboundId;
    /**
     * 出库类型
     */
    @TableField("outbound_type")
    private String outboundType;

    /**
     * 物资大类
     */
    @TableField("material_group")
    private String materialGroup;
    /**
     * 物资类别
     */
    @TableField("material_type")
    private String materialType;

    /**
     * 物资名称
     */
    @TableField("material_name")
    private String materialName;

    /**
     * 单位
     */
    @TableField("unit")
    private String unit;

    /**
     * 数量
     */
    @TableField("quantity")
    private String quantity;

    /**
     * 调用省份
     */
    @TableField("province")
    private Long province;

    /**
     * 规格
     */
    @TableField("specs")
    private Long specs;

    /**
     * 出库日期
     */
    @TableField("outbound_time")
    private Date outboundTime;

    /**
     * 单价
     */
    @TableField("unit_price")
    private Date unitPrice;

    /**
     * 总价
     */
    @TableField("total_price")
    private String totalPrice;

    /**
     * 是否可用
     */
    @TableField("is_available")
    private String isAvailable;
    /**
     * 文件上传
     */
    @TableField("file_part")
    private String filePart;
    /**
     * 备注
     */
    @TableField("remarks")
    private String remarks;
    /**
     * 物资树
     */
    @TableField("material_tree")
    private String materialTree;
    /**
     * 文件名称
     */
    @TableField("file_name")
    private String fileName;


}
