package com.unis.vis.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * @author qingsong.han
 * @description: 物资类别
 * @create 2024-03-02 12:22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sys_tree_dict")
public class SysTreeDict implements Serializable {
    private static final long serialVersionUID = -2326388609099501649L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.INPUT)
    private String id;
    /**
     * 父id
     */
    @TableField("parent_id")
    private String parentId;

    /**
     * 名称
     */
    @TableField("name_")
    private String name;
    /**
     * 节点内容
     */
    @TableField("content_")
    private String content;

    /**
     * 排序
     */
    @TableField("sort_")
    private Integer sort;

    /**
     * 字典分类    2:案件标签    1:案件分类  3: 学校分类
     */
    @TableField("type_")
    private Integer type;

    /**
     * 是否删除  -1：已删除  0：正常
     */
    @TableField("del_flag")
    private String delFlag;

    /**
     * 数据创建人
     */
    @TableField("create_by")
    private Long createBy;

    /**
     * 数据修改人
     */
    @TableField("update_by")
    private Long updateBy;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private Date createTime;

    /**
     * 修改时间
     */
    @TableField("update_time")
    private Date updateTime;

    /**
     * code
     */
    @TableField("code_")
    private String code;

    /**
     * 全路径
     */
    @TableField("path_")
    private String path;
    /**
     * type 1  区别  1 物资大类  2 物资类别  3 物资名称  4 物资单位
     */
    @TableField("difference_")
    private String difference;

}
