package com.unis.vis.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.unis.vis.controller.vo.MaterialReserveSituationVO;
import com.unis.vis.mapper.InboundMaterialInfoMapper;
import com.unis.vis.model.InboundMaterialInfo;
import com.unis.vis.model.OutAndInboundRecord;
import com.unis.vis.service.InboundMaterialInfoService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Comparator;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import java.util.stream.Collectors;

@Service
public class InboundMaterialInfoServiceImpl extends ServiceImpl<InboundMaterialInfoMapper, InboundMaterialInfo> implements InboundMaterialInfoService {
    @Resource
    private InboundMaterialInfoMapper inboundMaterialInfoMapper;

    @Override
    public List<InboundMaterialInfo> getEmergencySuppliesCategory() {

        return inboundMaterialInfoMapper.getEmergencySuppliesCategory();
    }

    @Override
    public List<InboundMaterialInfo> getMaterialSituation() {

        return inboundMaterialInfoMapper.getMaterialSituation();
    }

    @Override
    public Map<String, List<MaterialReserveSituationVO>> selectWarehouseForMaterialType(String warehouse) {
        List<MaterialReserveSituationVO> situationVOS = inboundMaterialInfoMapper.selectWarehouseForMaterialType(warehouse);
        Map<String, List<MaterialReserveSituationVO>> collect =new HashMap<>();
        if (situationVOS!=null&&!situationVOS.isEmpty()){
             collect = situationVOS.stream().collect(Collectors.groupingBy(MaterialReserveSituationVO::getMaterialTypeZn));
        }
        return collect;
    }
    @Override
    public List<InboundMaterialInfo> getInventoryReceiptStatus() {
        return inboundMaterialInfoMapper.getInventoryReceiptStatus();
    }

    @Override
    public HashMap<String, List<InboundMaterialInfo>> getWzsyqkpm() {
        HashMap<String, List<InboundMaterialInfo>> wzsyqkpmMap = new HashMap<>();
        List<InboundMaterialInfo> wzsyqkpm = inboundMaterialInfoMapper.getWzsyqkpm();
        //按数量排序
        List<InboundMaterialInfo> quantityList = wzsyqkpm.stream()
                .sorted(Comparator.comparing(InboundMaterialInfo::getQuantity).reversed())
                .collect(Collectors.toList());

        wzsyqkpmMap.put("quantitySort",quantityList);
        //按价值排序
        List<InboundMaterialInfo> collect = wzsyqkpm.stream()
                .sorted(Comparator.comparing(InboundMaterialInfo::getTotalPrice).reversed())
                .collect(Collectors.toList());

        wzsyqkpmMap.put("TotalPriceSort",collect);


        return wzsyqkpmMap;
    }

    /**
     * 出入库记录
     * @return
     */
    @Override
    public List<OutAndInboundRecord> getEnterExitRecords(Integer type,String name) {
        return inboundMaterialInfoMapper.getEnterExitRecords(type,name);
    }

}
